<script setup>

import logoPDE from '/@/images/pde.png';
import avatar from '/@/images/index-img/icon.png';
import { inject } from 'vue';

const csrf = inject('csrf');

</script>

<template>
    <header id="page-topbar">

    
    <div class="navbar-header">
        <div class="d-flex">
            <!-- LOGO -->
            <div class="navbar-brand-box" style="background-color: #2a3042;">
                <a href="index.html" class="logo logo-dark">
                     <span class="logo-sm">
                        
                    </span>
                    <span class="logo-lg">
                        <img :src="logoPDE" alt="Logo PDE" height="60" style="margin-top: 10px;">
                    </span> 
                </a>

                <a href="index.html" class="logo logo-light">
                    <span class="logo-sm">
                        <!-- <img src=http://127.0.0.1:8000/images/login-img/pde.png alt="" height="22">  -->
                    </span>
                    <span class="logo-lg">
                        <!-- <img src=http://127.0.0.1:8000/images/login-img/pde.png alt="" height="60f" style="margin-top: 10px;"> -->
                    </span>
                </a>
            </div>

            <button type="button" class="btn btn-sm px-3 font-size-16 header-item waves-effect disabled" style="color: black;" id="vertical-menu-btn">
                <h4 class="mb-sm-0 font-size-18">Sistema estatal de servidores públicos y particulares sancionados </h4>
            </button>

            <!-- App Search-->
            

            
        </div>

        <div class="d-flex">

         <div class="dropdown d-inline-block">
                <button type="button" class="btn header-item waves-effect" id="page-header-user-dropdown"
                data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <img :src="avatar" class="rounded-circle header-profile-user" alt="Header Avatar">                    
                    <span class="d-none d-xl-inline-block ms-1" key="t-henry">Marco</span>
                    <i class="mdi mdi-chevron-down d-none d-xl-inline-block"></i>
                </button>
                <div class="dropdown-menu dropdown-menu-end">
                    <!-- item-->

                    <form id="logoutNavBar" :action="route('logout')" method="POST">
                        <input type="hidden" name="_token" :value="csrf"/>

                        <button class="dropdown-item text-danger" href="#"><i class="bx bx-power-off font-size-16 align-middle me-1 text-danger"></i> <span key="t-logout">Cerrar sesión</span></button>

                    </form>                            
                </div>
            </div>

            <div class="dropdown d-inline-block">
                <button type="button" class="btn header-item noti-icon waves-effect" id="page-header-notifications-dropdown"
                data-bs-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                    <i class="bx bx-bell"></i>
                    <span class="badge bg-danger rounded-pill">3</span>
                </button>
                <div class="dropdown-menu dropdown-menu-lg dropdown-menu-end p-0"
                    aria-labelledby="page-header-notifications-dropdown">
                    <div class="p-3">
                        <div class="row align-items-center">
                            <div class="col">
                                <h6 class="m-0" style="text-align: center;" key="t-notifications"> Notificaciones </h6>
                            </div>
                        </div>
                    </div>
                    <div data-simplebar style="max-height: 230px;">
                        <a href="javascript: void(0);" class="text-reset notification-item">
                            
                        </a>
                        <a href="javascript: void(0);" class="text-reset notification-item">
                           
                        </a>
                        <a href="javascript: void(0);" class="text-reset notification-item">
                        </a>
                    </div>
                    <div class="p-2 border-top d-grid">
                       
                    </div>
                </div>
            </div>
        </div>
    </div>
</header>
    
</template>